package sun.rmi.transport.proxy;

import java.net.ServerSocket;
import java.io.IOException;
import java.net.URL;
import java.net.Socket;
import java.rmi.server.RMISocketFactory;

public class RMIHttpToPortSocketFactory extends RMISocketFactory
{
    public RMIHttpToPortSocketFactory() {
    }
    
    @Override
    public Socket createSocket(String host, int port) throws IOException {
        return new HttpSendSocket(host, port, new URL("http", host, port, "/"));
    }
    
    @Override
    public ServerSocket createServerSocket(int n) throws IOException {
        return new HttpAwareServerSocket(n);
    }
}
